//RTFunc.hpp - fast maths stuff for real-time use

#ifndef NDC_PI
#define NDC_PI 3.14159265358979323846f
#endif

float FastSinc(float Angle); //c = coarse

float FastSinf(float Angle); //f = fine

float FastInvSin(float val);

float FastCosc(float Angle);

float FastCosf(float Angle);

float FastInvCos(float val);

//...and their higher precision counterparts...

double FastSinc(double Angle);

double FastSinf(double Angle);

double FastInvSin(double val);

double FastCosc(double Angle);

double FastCosf(double Angle);

double FastInvCos(double val);

//fast abs function
float fastabs(float f);

//fast float to int function
inline int float2int(float val);
