//simpsquosc.hpp - simplistic square wave oscillator (complete w/aliasing)

#ifndef _SIMPSQUOSC_H_
#define _SIMPSQUOSC_H_

#ifndef TWO_PI
#define TWO_PI (2 * NDC_PI)
#endif

class simpsquosc { 
 protected:
  float frequency;
  float samplerate;
  double accumulator, increment;

 public:
  simpsquosc() {}; //default constructor (doesn't do anything) - necessary if you
			       //want to inherit the class, but create your own contructor
  simpsquosc(float sr, float freq);

  virtual void fakeconstructor(float sr, float freq);

  virtual float getsample(float freq);
  virtual void resetPhase();
  virtual void resetPhaseTo(float val);

};

#endif